IndexWriterConfig.OpenMode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.IndexWriterConfig.OpenMode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.index
Enum IndexWriterConfig.OpenMode

    java.lang.Object
      java.lang.Enum<IndexWriterConfig.OpenMode>
          org.apache.lucene.index.IndexWriterConfig.OpenMode

All Implemented Interfaces:
  Serializable, Comparable<IndexWriterConfig.OpenMode>

Enclosing class:
  IndexWriterConfig

    public static enum IndexWriterConfig.OpenMode

extends Enum<IndexWriterConfig.OpenMode>

Specifies the open mode for `IndexWriter`:

`CREATE` - creates a new index or overwrites an existing one. `CREATE_OR_APPEND` - creates a new index if one does not exist, otherwise it opens the index and documents will be appended. `APPEND` - opens an existing index.

Enum Constant Summary
`APPEND`
`CREATE`
`CREATE_OR_APPEND`

Method Summary
`static IndexWriterConfig.OpenMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexWriterConfig.OpenMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final IndexWriterConfig.OpenMode CREATE

### APPEND

    public static final IndexWriterConfig.OpenMode APPEND

### CREATE_OR_APPEND

    public static final IndexWriterConfig.OpenMode CREATE_OR_APPEND

Method Detail

### values

    public static final IndexWriterConfig.OpenMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IndexWriterConfig.OpenMode c : IndexWriterConfig.OpenMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IndexWriterConfig.OpenMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD